Google Web Toolkit
Search Google Code:

# Class SuggestionEvent

public class SuggestionEvent
extends EventObject
Event object containing information about the selection of a Suggestion displayed by a SuggestBox.

## Constructors

SuggestionEvent(SuggestBox, SuggestOracle.Suggestion) |

## Methods

getSelectedSuggestion() | Gets the `Suggestion` object for the suggestion chosen by the user.
toString() | Returns the string representation of this event object.

## See Also

SuggestBox.addEventHandler(SuggestionHandler)

## Constructor Detail

### SuggestionEvent

public SuggestionEvent(SuggestBox sender, SuggestOracle.Suggestion selectedSuggestion)

#### Parameters

sender
selectedSuggestion

## Method Detail

### getSelectedSuggestion

public SuggestOracle.Suggestion getSelectedSuggestion()
Gets the `Suggestion` object for the suggestion chosen by the user.

#### Return Value

the `Suggestion` object for the selected suggestion

### toString

public String toString()
Returns the string representation of this event object. The string contains the string representation of the SuggestBox from which the event originated (the source), and the string representation of the Suggestion that was selected.

#### Return Value

the string representation of this event object containing the source SuggestBox and the selected Suggestion